[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# InvalidDateDayError

Raise an EConvertError exception when a day is not a valid day of a year.

## Declaration

Source position: dateutil.inc line 405

`procedure InvalidDateDayError(`
`const AYear: Word;`
`const ADayOfYear: Word`
`);`

## Arguments

`AYear` |  | Year
`ADayOfYear` |  | Invalid day of the year.

## Description

InvalidDateDayError raises an EConvertError exception and formats the error message with an appropriate description made up from the parts AYear and ADayOfYear.

Normally this function should not be needed, the conversion routines call it when they have received invalid arguments.

## See also

InvalidDateWeekError |  | Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification
InvalidDateTimeError |  | Raise an EConvertError about an invalid date-time specification.
InvalidDateMonthWeekError |  | Raise an EConvertError exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.
InvalidDayOfWeekInMonthError |  | Raise an EConvertError exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.